# tifftopnm and ppmtogif can be found at least on info.cern.ch !
# AS - 27 Jun 94
#
# giftrans too! AS - 27 Aug 94
#
# To get transparent gif, type giftrans -t #ffffff file.gif > t_file.gif
#
TIFFTO = /usr/local/bin/X11/tifftopnm
TOGIF = /usr/local/bin/X11/ppmtogif
TOTRGIF = giftrans -t \#ffffff
# TOTRGIF = giftrans -t \#ff00ff

.SUFFIXES: .tiff .gif .gift

.tiff.gif :
	$(TIFFTO) $< | $(TOGIF) > $@

.tiff.gift :
	$(TIFFTO) $< | $(TOGIF) > tmpgif
	$(TOTRGIF) tmpgif > $@ 
	rm tmpgif

.gif.gift :
	$(TOTRGIF) $< > Conversions/$@
all:
	for i in *24.tiff; do $(TIFFTO) < $$i > temp ; $(TOGIF) temp > Conversions/`basename $$i tiff`gif ; rm temp ; done         # it didn't like the pipe
	
all_48x48:
	for i in *48x48.tiff; do $(TIFFTO) < $$i > temp1 ; $(TOGIF) temp1 > temp2; $(TOTRGIF) temp2 > Conversions/`basename $$i tiff`gift ; rm temp1 temp2 ; done         # it didn't like the pipe
	
	
